<?php
//define this module's name and path
$mn = basename(__FILE__ , ".php");
include("modules/modules.php");

/*
Available variables:
All system classes
All request variables
$p (the template path)
$mp (the module path)
$sufixID (id sufix for this module's divs)
*/

$marginTop = ($moduleParameters['marginTop'] == "__EMPTY__" || empty($moduleParameters['marginTop'])) ? 0 : $moduleParameters['marginTop'];
$marginRight = ($moduleParameters['marginRight'] == "__EMPTY__" || empty($moduleParameters['marginRight'])) ? 0 : $moduleParameters['marginRight'];
$marginBottom = ($moduleParameters['marginBottom'] == "__EMPTY__" || empty($moduleParameters['marginBottom'])) ? 0 : $moduleParameters['marginBottom'];
$marginLeft = ($moduleParameters['marginLeft'] == "__EMPTY__" || empty($moduleParameters['marginLeft'])) ? 0 : $moduleParameters['marginLeft'];
$paddingTop = ($moduleParameters['paddingTop'] == "__EMPTY__" || empty($moduleParameters['paddingTop'])) ? 0 : $moduleParameters['paddingTop'];
$paddingRight = ($moduleParameters['paddingRight'] == "__EMPTY__" || empty($moduleParameters['paddingRight'])) ? 0 : $moduleParameters['paddingRight'];
$paddingBottom = ($moduleParameters['paddingBottom'] == "__EMPTY__" || empty($moduleParameters['paddingBottom'])) ? 0 : $moduleParameters['paddingBottom'];
$paddingLeft = ($moduleParameters['paddingLeft'] == "__EMPTY__" || empty($moduleParameters['paddingLeft'])) ? 0 : $moduleParameters['paddingLeft'];
$useModuleContainer = ($moduleParameters['useModuleContainer'] == "__EMPTY__" || empty($moduleParameters['useModuleContainer'])) ? 0 : (int)$moduleParameters['useModuleContainer'];
$widthInPixels = ($moduleParameters['widthInPixels'] == "__EMPTY__" || empty($moduleParameters['widthInPixels'])) ? null : (int)$moduleParameters['widthInPixels'];


if(empty($marginTop) && empty($marginRight) && empty($marginBottom) && empty($marginLeft)){
	$Mmargin = "0";
}else{
	$Mmargin = $marginTop." ".$marginRight." ".$marginBottom." ".$marginLeft." ";
}
if(empty($paddingTop) && empty($paddingRight) && empty($paddingBottom) && empty($paddingLeft)){
	$Mpadding = "0";
}else{
	$Mpadding = $paddingTop." ".$paddingRight." ".$paddingBottom." ".$paddingLeft." ";
}

global $doNotShowSocial;
if($_SERVER['SERVER_NAME'] == "localhost" && $doNotShowSocial) return;

$facebook = $moduleParameters['facebook'];
$googleplus = $moduleParameters['googleplus'];
$twitter = $moduleParameters['twitter'];
$orientation = $moduleParameters['orientation'];
$margin = $moduleParameters['margin'];
$facebookID = $system->getExtensionID("odyssey_social_facebook");
if($facebookID) $IDs[] = $facebookID;
$googleplusID = $system->getExtensionID("odyssey_social_googleplus");
if($googleplusID) $IDs[] = $googleplusID;
$twitterID = $system->getExtensionID("odyssey_social_twitter");
if($twitterID) $IDs[] = $twitterID;
$IDs = implode(",", $IDs);

if($useModuleContainer ){
?>
<div id="<?php echo $mn.$sufixID;?>" data-editable="editable">
<?php 
}
?>
<div style="display:inline-block">
<style scoped type="text/css">
<?php
if($useModuleContainer ){
?>
#<?php echo $mn.$sufixID;?>{
	<?php 
	$alignRule = ($moduleParameters['moduleAlign'] == "center") ? "text-align" : "float";
	echo $alignRule.": ".$moduleParameters['moduleAlign'].";".PHP_EOL;
	?>
	margin : <?php echo $Mmargin;?>;
	padding : <?php echo $Mpadding;?>;
<?php
if($widthInPixels){
	?>
	width: <?php echo $widthInPixels;?>px;
	<?php 
}	
if($moduleParameters['moduleHR'] == "top" || $moduleParameters['moduleHR'] == "bottom"){
?>
	border-<?php echo $moduleParameters['moduleHR'];?> : 1px solid black;
<?php 
}
?>
}
<?php 
}
?>
.social_container{
<?php 
$float = ($orientation == "horizontal") ? " float:left;".PHP_EOL : $float;
echo $float; 
if($orientation == "horizontal"){
echo " margin: 0 ".$margin;
if((int)$margin) echo "px";
echo ";".PHP_EOL;
}else{
echo " margin: ".$margin;
if((int)$margin) echo "px";
echo " 0;".PHP_EOL;
}
?>
}
</style> 
<?php
$q = "select distinct extensions.name, extensions.id from extensions, modules where modules.moduleID in (".$IDs.") and extensions.id=modules.moduleID and modules.active=1 order by extensions.sort";
$modulesItems = $db->getRecords($q);
foreach($modulesItems as $moduleItem){
	?>
	<div class="social_container" style="display:block; float:left">
	<?php
	if($moduleItem->id == $facebookID){
		if($facebook) $this->includeModules("facebook");
	}
	if($moduleItem->id == $googleplusID){
		if($googleplus) $this->includeModules("googleplus");
	}
	if($moduleItem->id == $twitterID){
		if($twitter) $this->includeModules("twitter");
	}
	?>
	</div>
	<?php 
}
if(!count($modulesItems)) echo "No social installed plugins found...";
?>
<div style="clear:both"></div>
</div>
<?php
if($useModuleContainer ){
?>
</div>
<?php 
}
?>



